package com.hikcreate.edl.pub.web.mobile.domain;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hikcreate.edl.pub.web.mobile.infra.core.Result;
import com.hikcreate.edl.pub.web.mobile.infra.model.BindInfo;
import com.hikcreate.edl.pub.web.mobile.infra.model.BindInfoQuery;

/**
 * 客户绑定服务接口
 *
 * @author: xieshixiang
 * @time：2020/6/18 16:11
 **/
public interface IBindService extends IService<BindInfo> {

    /**
     * 信息绑定接口
     *
     * @param info
     * @return Result
     * @author: xsx
     * @date: 2020/6/19 10:32
     */
    Result bind(BindInfo info);


    Result yearCheckInfo(BindInfoQuery query);

}
